import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_notification/src/models/notification.dart';

typedef NotificationCallback = Function(AppNotification notification);

abstract class NotificationService {
  Future<AppResponse<bool>> subscribe();
  Future<AppResponse<bool>> unsubscribe();
  Future<void> onNotification(NotificationCallback callback,
      {Function(Map<String, dynamic> message) backgroundMessageHandler});
}
